{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.hive.kitty;
in {
  options.hive.kitty = {
    enable = lib.mkEnableOption "Enable kitty terminal";
  };
  config = lib.mkIf cfg.enable {
    programs.kitty = {
      enable = true;
      shellIntegration.enableZshIntegration = true;
      font = {
        package = pkgs.nerd-fonts.fira-code;
        name = "FiraCode Nerd Font";
        size = 12;
      };
      themeFile = "Molokai";
      settings = {
        background_opacity = "0.6";
        enable_audio_bell = false;
        confirm_os_window_close = 0;
      };
    };
  };
}
